Subject: Re: [PATCH net-next] ipv6: fix RFC5722 comment

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 30 Jan 2012 15:42:25 +0100

Le 30/01/2012 15:29, Eric Dumazet a écrit :
> RFC5722 Section 4 was amended by Errata 3089
>
> Our implementation did the right thing anyway...
>
> Signed-off-by: Eric Dumazet<[email-masked]>
> Cc: Nicolas Dichtel<[email-masked]>

Acked-by: Nicolas Dichtel <[email-masked]>
> ---
>   net/ipv6/reassembly.c |    7 +++----
>   1 file changed, 3 insertions(+), 4 deletions(-)
>
> diff --git a/net/ipv6/reassembly.c b/net/ipv6/reassembly.c
> index b69fae7..9447bd6 100644
> --- a/net/ipv6/reassembly.c
> +++ b/net/ipv6/reassembly.c
> @@ -336,12 +336,11 @@ static int ip6_frag_queue(struct frag_queue *fq, struct sk_buff *skb,
>   	}
>
>   found:
> -	/* RFC5722, Section 4:
> -	 *                                  When reassembling an IPv6 datagram, if
> +	/* RFC5722, Section 4, amended by Errata ID : 3089
> +	 *                          When reassembling an IPv6 datagram, if
Identation was an exact copy of the original rfc (not changed by the errata), 
but it's a detail ;-)

Regards,
Nicolas

>   	 *   one or more its constituent fragments is determined to be an
>   	 *   overlapping fragment, the entire datagram (and any constituent
> -	 *   fragments, including those not yet received) MUST be silently
> -	 *   discarded.
> +	 *   fragments) MUST be silently discarded.
>   	 */
>
>   	/* Check for overlap with preceding fragment. */